<template>
    <div class="filter_container sorting_filter" :class="{opened: isOpened}">
        <div class="close" @click="close"><plus-svg></plus-svg></div>
        <div class="filter_title">{{ $t('message.sorting') }}</div>
        <div class="input" :class="{activated: sorting === 'DESC'}" @click="setSorting('DESC')">{{ $t('message.sorting_new_old') }}</div>
        <div class="input" :class="{activated: sorting === 'ASC'}" @click="setSorting('ASC')">{{ $t('message.sorting_old_new') }}</div>
    </div>
</template>

<script>
    import Plus  from "../../svg/Plus";

    export default {
        components: {
            "plus-svg": Plus
        },
        props: ['isOpened'],
        data(){
            return {
                sorting: 'DESC'
            }
        },
        methods: {
            close(){
                this.$emit('close');
            },
            setSorting(sorting){
                this.sorting = sorting;
                this.$emit('resort', sorting);
            }
        }
    }
</script>
